## relion 3.1.0

=== src/jaz/gravis/io/array/CMakeLists.txt ===
set( install_files 
    a.h
    ArrayStreamIO.h
    le.h
    matlab.h
    networkByteOrder.h
    raw.h
  )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io/array)

=== src/jaz/gravis/io/image/CMakeLists.txt ===
set( install_files
    f.h
    )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io/image)

## relion 1.3+dfsg

=== debian/changelog ===
relion (1.3+dfsg-2) unstable; urgency=medium

  * Drop build-dep on openmpi-gcc
    Closes: #766821

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 07:40:11 +0100

relion (1.3+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #766324)

 -- Roland Fehrenbacher <rf@q-leap.de>  Thu, 23 Oct 2014 11:52:48 +0000

relion (0.0) stable; urgency=low

  * New repository

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 29 Jul 2014 14:11:18 +0200

=== debian/control ===
Source: relion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rf@q-leap.de>,
           Navid Fehrenbacher <nf@q-leap.de>,
           Goswin von Brederlow <brederlo@q-leap.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-exec (>=0.3),
               libfltk1.3-dev,
               libfftw3-dev,
               libopenmpi-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/relion.git
Vcs-Git: git://anonscm.debian.org/debian-med/relion.git
Homepage: http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page

Package: relion-bin
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin+mpi, relion-bin+gui, relion-bin+mpi+gui
Description: toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin provides the serial command-line tools

Package: relion-bin+mpi
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin, relion-bin+gui, relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi provides the serial and parallel command-line tools based on
 OpenMPI.

Package: relion-bin+gui
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin, relion-bin+mpi, relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+gui provides the serial command-line tools and the graphical user
 interface.

Package: relion-bin+mpi+gui
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin, relion-bin+mpi, relion-bin+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi+gui provides the serial and parallel command-line tools as
 well as the graphical user interface.

Package: librelion-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package including only the common header files.

Package: librelion-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion+mpi-dev, librelion+gui-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use without GUI and MPI.

Package: librelion+mpi-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+mpi-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+gui-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI but without GUI.

Package: librelion+gui-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+gui-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+mpi-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with GUI but without MPI.

Package: librelion+mpi+gui-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+mpi+gui-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+mpi-dev, librelion+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI and GUI.

Package: librelion-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion+mpi-1.3-1, librelion+gui-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library.

Package: librelion+mpi-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+gui-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI but without GUI.

Package: librelion+gui-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+mpi-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with GUI but without MPI.

Package: librelion+mpi+gui-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+mpi-1.3-1, librelion+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI and GUI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVENDOR  := $(shell dpkg-vendor --query Vendor)

ifeq ($(DEBVENDOR), Qlustar)
    # Qlustar specific stuff
    include /usr/share/ql-deb-utils/Makefile
    MPICXX := mpicxx.openmpi-gcc
else
    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKE_-J := $(addprefix -j, $(NUMJOBS))
    MPICXX := mpicxx.openmpi
endif

# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

RELION_API_VERSION := $(shell \
  grep 'AC_SUBST.*RELION_API_VERSION' $(CURDIR)/configure.ac \
  | sed 's/.*(.*\[\(.*\)\])$$/\1/g')
$(info Relion API Version = $(RELION_API_VERSION))
RELION_SO_CUR_INTERFACE := $(shell \
  grep 'AC_SUBST.*RELION_SO_VERSION' $(CURDIR)/configure.ac \
  | sed 's/.*(.*\[\([0-9]*\):[0-9]*:[0-9]*\])$$/\1/g')
$(info Relion most recent (current) lib interface = $(RELION_SO_CUR_INTERFACE))

CONFIGURE_COMMON := dh_auto_configure -- \
  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:

override_dh_auto_build:
	# We need to build 4 different versions for the 4 different binary
	# packages. This is necessary because unfortunately the binaries work
	# only with the exact same librelion they were built with.
	# First no MPI, no GUI (for relion-bin) ...
	$(CONFIGURE_COMMON) --disable-gui
	make $(MAKE_-J); make install prefix=$(CURDIR)/debian/tmp/simple/usr
	make clean
	# ... then add MPI (for relion-bin+mpi) ...
	MPICXX=$(MPICXX) $(CONFIGURE_COMMON) --enable-mpi --disable-gui
	make $(MAKE_-J); make install prefix=$(CURDIR)/debian/tmp/mpi/usr
	make clean
	# ... then add GUI (for relion-bin+gui) ...
	$(CONFIGURE_COMMON) --enable-gui \
	  CPPFLAGS="$$(fltk-config --cxxflags)" \
	  LDFLAGS="$$(fltk-config --ldflags)"
	make $(MAKE_-J); make install prefix=$(CURDIR)/debian/tmp/gui/usr
	make clean
	# ... finally add MPI + GUI (for librelion-bin+mpi+gui)
	MPICXX=$(MPICXX) $(CONFIGURE_COMMON) --enable-mpi --enable-gui \
	  CPPFLAGS="$$(fltk-config --cxxflags)" \
	  LDFLAGS="$$(fltk-config --ldflags)"
	make $(MAKE_-J); make install prefix=$(CURDIR)/debian/tmp/mpi+gui/usr
	make clean
	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" $$(find debian/tmp/ -name '*.la')

override_dh_prep:
	# We don't want debian/tmp to be removed again ...
	dh_prep -X debian/tmp

override_dh_auto_install:

override_dh_install:
	dh_install
	# relion_qsub.csh should just go to GUI d/examples
	find debian/relion-bi*/usr/bin -name relion_qsub.csh -delete

override_dh_shlibdeps: pkgs=relion-bin relion-bin+mpi relion-bin+gui \
 relion-bin+mpi+gui 
override_dh_shlibdeps:
	# First for all packages apart from relion-bin*
	dh_shlibdeps -- $(patsubst %,-x%,$(pkgs))
	# Now for the relion-bin* packages
	for pkg in $(pkgs); do \
	  echo -e "\n-- Info: Run dpkg-shlibdeps for $$pkg --\n"; \
	  dpkg-shlibdeps -e debian/$${pkg}/usr/bin/relion_* \
	    -Sdebian/librelion$${pkg#relion-bin}-$(RELION_API_VERSION)-$(RELION_SO_CUR_INTERFACE) \
	    -Tdebian/$${pkg}.substvars; \
	done

describe-current-version:
	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'

get-orig-source:
	uscan --download-current-version --force-download --rename --repack-compression xz

## relion 1.4+dfsg

=== debian/changelog ===
relion (1.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add watch file (and delete README.source that explains why there is no
    watch file)
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Restrict architectures to amd64 and i386
    Closes: #897239

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 14:10:42 +0200

relion (1.4+dfsg-3) unstable; urgency=medium
  
  * Team upload
  * d/control: Enable all archs, Closes: #873865
  * d/control: Update standards to 4.1.1 (no changes)

 -- Gert Wollny <gewo@debian.org>  Thu, 07 Dec 2017 10:27:59 +0100

relion (1.4+dfsg-2) unstable; urgency=medium

  [ Gert Wollny ]
  * Team upload.
  * d/p/0005: Correct compilation with gcc-6, Closes: #811641
  * d/p/0006: Correctly copy only 4 byte, corresponding to the
    target array size
  * d/control: Update standards version to 3.9.8

  [ Andreas Tille ]
  * hardening=+bindnow

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 29 Jun 2016 13:32:34 +0000

relion (1.4+dfsg-1) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * New upstream version 1.4
  * Bug fix: "file conflicts between librelion{+mpi}{+gui}-1.3-1{v5}
    packages", thanks to Ralf Treinen (Closes: #797825).

  [ Andreas Tille ]
  * Enable building architecture independant files separately
    Closes: #806103

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 19:04:50 +0100

relion (1.3+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Rename library packages for g++5 ABI transition.
    (Thanks for the patch to Iain Lane <iain@orangesquash.org.uk>)
    Closes: #791267

  [ Roland Fehrenbacher ]
  * Fix permissions of d/lib*.install files (needed for dh-exec) 

 -- Roland Fehrenbacher <rf@q-leap.de>  Mon, 24 Aug 2015 16:08:36 +0000

=== debian/control ===
Source: relion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rf@q-leap.de>,
           Navid Fehrenbacher <nf@q-leap.de>,
           Goswin von Brederlow <brederlo@q-leap.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-exec,
               libfltk1.3-dev,
               libfftw3-dev,
               libopenmpi-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/relion
Vcs-Git: https://salsa.debian.org/med-team/relion.git
Homepage: http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page

Package: relion-bin
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin+mpi,
           relion-bin+gui,
           relion-bin+mpi+gui
Description: toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin provides the serial command-line tools

Package: relion-bin+mpi
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin,
           relion-bin+gui,
           relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi provides the serial and parallel command-line tools based on
 OpenMPI.

Package: relion-bin+gui
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin,
           relion-bin+mpi,
           relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+gui provides the serial command-line tools and the graphical user
 interface.

Package: relion-bin+mpi+gui
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin,
           relion-bin+mpi,
           relion-bin+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi+gui provides the serial and parallel command-line tools as
 well as the graphical user interface.

Package: librelion-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package including only the common header files.

Package: librelion-dev
Architecture: amd64 i386
Section: libdevel
Depends: librelion-1.4-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion+mpi-dev,
           librelion+gui-dev,
           librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use without GUI and MPI.

Package: librelion+mpi-dev
Architecture: amd64 i386
Section: libdevel
Depends: librelion+mpi-1.4-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev,
           librelion+gui-dev,
           librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI but without GUI.

Package: librelion+gui-dev
Architecture: amd64 i386
Section: libdevel
Depends: librelion+gui-1.4-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev,
           librelion+mpi-dev,
           librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with GUI but without MPI.

Package: librelion+mpi+gui-dev
Architecture: amd64 i386
Section: libdevel
Depends: librelion+mpi+gui-1.4-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev,
           librelion+mpi-dev,
           librelion+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI and GUI.

Package: librelion-1.4-1
Architecture: amd64 i386
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: librelion+mpi-1.4-1,
           librelion+gui-1.4-1,
           librelion+mpi+gui-1.4-1,
           librelion-1.3-1v5,
           librelion+mpi-1.3-1v5,
           librelion+gui-1.3-1v5,
           librelion+mpi+gui-1.3-1v5,
           librelion-1.3-1,
           librelion+mpi-1.3-1,
           librelion+gui-1.3-1,
           librelion+mpi+gui-1.3-1
Replaces: librelion-1.3-1v5,
          librelion-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library.

Package: librelion+mpi-1.4-1
Architecture: amd64 i386
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: librelion-1.4-1,
           librelion+gui-1.4-1,
           librelion+mpi+gui-1.4-1,
           librelion-1.3-1v5,
           librelion+mpi-1.3-1v5,
           librelion+gui-1.3-1v5,
           librelion+mpi+gui-1.3-1v5,
           librelion-1.3-1,
           librelion+mpi-1.3-1,
           librelion+gui-1.3-1,
           librelion+mpi+gui-1.3-1
Replaces: librelion+mpi-1.3-1v5,
          librelion+mpi-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI but without GUI.

Package: librelion+gui-1.4-1
Architecture: amd64 i386
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: librelion-1.4-1,
           librelion+mpi-1.4-1,
           librelion+mpi+gui-1.4-1,
           librelion-1.3-1v5,
           librelion+mpi-1.3-1v5,
           librelion+gui-1.3-1v5,
           librelion+mpi+gui-1.3-1v5,
           librelion-1.3-1,
           librelion+mpi-1.3-1,
           librelion+gui-1.3-1,
           librelion+mpi+gui-1.3-1
Replaces: librelion+gui-1.3-1v5,
          librelion+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with GUI but without MPI.

Package: librelion+mpi+gui-1.4-1
Architecture: i386 amd64
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: librelion-1.4-1,
           librelion+mpi-1.4-1,
           librelion+gui-1.4-1,
           librelion-1.3-1v5,
           librelion+mpi-1.3-1v5,
           librelion+gui-1.3-1v5,
           librelion+mpi+gui-1.3-1v5,
           librelion-1.3-1,
           librelion+mpi-1.3-1,
           librelion+gui-1.3-1,
           librelion+mpi+gui-1.3-1
Replaces: librelion+mpi+gui-1.3-1v5,
          librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI and GUI.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 DEBVENDOR  := $(shell dpkg-vendor --query Vendor)
 
@@ -32,7 +34,7 @@
   --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 
@@ -70,8 +72,8 @@
 
 override_dh_auto_install:
 
-override_dh_install:
-	dh_install
+override_dh_install-arch:
+	dh_install -a
 	# relion_qsub.csh should just go to GUI d/examples
 	find debian/relion-bi*/usr/bin -name relion_qsub.csh -delete

=== debian/watch ===
version=4

https://github.com/3dem/relion/releases .*/archive/(\d[\d.]+)@ARCHIVE_EXT@

## relion 3.1.0

=== debian/changelog ===
relion (3.1.0-4) unstable; urgency=medium

  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: fluid

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 16:03:12 +0200

relion (3.1.0-3) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update to Standards-Version: 4.5.0
  * Rename available binary packages, since MPI support is now default.
    The MPI enabled binaries carry a suffix _mpi, serial versions are still
    available.
  * Dropped librelion* packages. No shared libraries are created by relion
    anymore.
  * Moved to dep14 layout to work directly with the upstream git repo (see
    README.source in the source archive).
  * Added a simple autopkgtest

 -- Roland Fehrenbacher <rfehren@debian.org>  Thu, 01 Oct 2020 10:37:37 +0200

=== debian/control ===
Source: relion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rfehren@debian.org>,
           Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfftw3-dev,
               libfltk1.3-dev,
               libopenmpi-dev,
               libtiff-dev,
               fluid
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/relion
Vcs-Git: https://salsa.debian.org/med-team/relion.git
Homepage: https://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page
Rules-Requires-Root: no

Package: relion
Architecture: amd64 i386
Depends: openmpi-gcc | openmpi-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: relion-bin,
        relion-bin+gui,
        relion-bin+mpi,
        relion-bin+mpi+gui,
Replaces: relion-bin,
          relion-bin+gui,
          relion-bin+mpi,
          relion-bin+mpi+gui,
Conflicts: relion-cuda,
Description: toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions, optionally with CUDA/GPU support.
 .
 relion provides the serial and parallel (MPI) command-line tools without
 CUDA/GPU support.

Package: relion-gui
Architecture: amd64 i386
Depends: openmpi-gcc | openmpi-bin,
         relion,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: relion-bin,
        relion-bin+gui,
        relion-bin+mpi,
        relion-bin+mpi+gui,
Replaces: relion-bin,
          relion-bin+gui,
          relion-bin+mpi,
          relion-bin+mpi+gui,
Conflicts: relion-cuda-gui,
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions, optionally with CUDA/GPU support.
 .
 relion-gui provides the graphical user interface without CUDA/GPU support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEBVENDOR  := $(shell dpkg-vendor --query Vendor)

ifeq ($(DEBVENDOR), Qlustar)
    # Qlustar specific stuff
    include /usr/share/ql-deb-utils/Makefile
    MPICXX := mpicxx.openmpi-gcc
else
    include /usr/share/dpkg/default.mk

    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKE_-J := $(addprefix -j, $(NUMJOBS))
    MPICXX := mpicxx.openmpi
endif

CONFIGURE_COMMON := cmake -DCMAKE_INSTALL_PREFIX=/usr \
  -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON "-GUnix Makefiles" \
  -DCMAKE_VERBOSE_MAKEFILE=ON \
  -DCMAKE_SKIP_RPATH=TRUE \
  -DDoublePrec_GPU=ON

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	mkdir $(CURDIR)/build
	cd $(CURDIR)/build; \
	CC=gcc CXX=g++ $(CONFIGURE_COMMON) -DGUI=ON -DCUDA=OFF $(CURDIR);\
	make $(MAKE_-J); DESTDIR=$(CURDIR)/debian/tmp/cli make install
	mkdir -p $(CURDIR)/debian/tmp/gui/usr/bin
	rm $(CURDIR)/debian/tmp/cli/usr/bin/*.csh # Useless ...
	for prog in relion relion_display relion_maingui relion_manualpick; do \
	  mv $(CURDIR)/debian/tmp/cli/usr/bin/$$prog \
	    $(CURDIR)/debian/tmp/gui/usr/bin; done

override_dh_prep:
	# We don't want debian/tmp to be removed again ...
	dh_prep -X debian/tmp

override_dh_auto_install:

override_dh_install-arch:
	dh_install -a

override_dh_clean:
	dh_clean
	-rm -rf build

=== debian/tests/control ===
Test-Command: /usr/bin/relion_refine
Depends: relion

## relion 3.1.3

=== tests/CMakeLists.txt ===
add_executable(tests
		tests.cpp
	)

add_dependencies(tests relion_lib)
target_link_libraries(tests relion_lib)
target_link_libraries(tests ${FFTW_LIBRARIES})
target_link_libraries(tests ${TIFF_LIBRARIES})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

include_directories(tests PRIVATE ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
include_directories(tests PRIVATE ${FFTW_INCLUDES})

find_package(OpenMP)
if (OPENMP_FOUND)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()

=== src/jaz/gravis/CMakeLists.txt ===
add_subdirectory(colour)
add_subdirectory(private)
add_subdirectory(tImage)
add_subdirectory(io)

set( install_files 
    Exception.h
    lapack.h
    matrix_blas_reference.h
    Mesh.h
    NMesh.h
    NTuple.h
    OBJReader.h
    OBJWriter.h
    program_options.h
    StringFormat.h
    t2Matrix.h
    t2Vector.h
    t3Matrix.h
    t3Vector.h
    t4Matrix.h
    t4Vector.h
    tArray.h
    tBGR.h
    tDefaultVector.h
    tGray_A.h
    tImageAlgorithm.h
    tImage.h
    Timer.hpp
    tLab.h
    tMatrix.h
    tMesh.h
    tMM.h
    tQuaternion.h
    tRGB_A.h
    tRGBA.h
    tRGB.h
    Tuple.h
    tVarMatrix_blas.h
    tVarMatrix_blas.hxx
    tVarMatrix.h
    tYCbCr.h
    PushPull.h
)
INSTALL(FILES ${install_files} 
        DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE})

=== src/jaz/gravis/colour/CMakeLists.txt ===
set( install_files
    rgb_hsv.h
    )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/colour)

=== src/jaz/gravis/io/CMakeLists.txt ===
add_subdirectory(array)
add_subdirectory(image)
add_subdirectory(mesh)

set( install_files
    mesh.h
    array.h
    )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io)

=== debian/changelog ===
relion (3.1.3-3) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 11:56:43 +0100

relion (3.1.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Team upload.
  * Cherry-pick upstream fixes related to cub.  (Closes: #995224)
  * Simplify debian/rules.
  * Fix missing hardening flags.
  * Build for Architecture: any.
  * Standards-Version: 4.6.1.
  * Fix some typos found by Lintian.

  [ Andreas Tille ]
  * Enable uscan to create a sensible download name

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 13:27:08 +0200

relion (3.1.3-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Mark autopkgtest superficial

 -- Andreas Tille <tille@debian.org>  Tue, 19 Oct 2021 09:16:04 +0200

relion (3.1.0-2) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update to Standards-Version: 4.5.0
  * Rename available binary packages, since MPI support is now default.
    The MPI enabled binaries carry a suffix _mpi, serial versions are still
    available.
  * Dropped librelion* packages. No shared libraries are created by relion
    anymore.
  * Add versions with CUDA/GPU support (these are in the Debian contrib
    archive area). They are named relion-cuda and relion-gui-cuda.
  * Moved to dep14 layout to work directly with the upstream git repo (see
    README.source in the source archive).
  * Added a simple autopkgtest

 -- Roland Fehrenbacher <rfehren@debian.org>  Tue, 29 Sep 2020 19:01:31 +0000

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libopenmpi-dev,
                libtiff-dev,
                fluid
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/relion
 Vcs-Git: https://salsa.debian.org/med-team/relion.git
 Homepage: https://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page
 Rules-Requires-Root: no
 
 Package: relion
-Architecture: amd64 i386
+Architecture: any
 Depends: openmpi-gcc | openmpi-bin,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -43,9 +43,9 @@
  CUDA/GPU support.
 
 Package: relion-gui
-Architecture: amd64 i386
-Depends: openmpi-gcc | openmpi-bin,
-         relion,
+Architecture: any
+Depends:
+         relion (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: relion-bin,
@@ -57,7 +57,7 @@
           relion-bin+mpi,
           relion-bin+mpi+gui,
 Conflicts: relion-cuda-gui,
-Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
+Description: toolkit for 3D reconstructions in cryo-electron microscopy (gui apps)
  RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
  computer program for Maximum A Posteriori refinement of (multiple) 3D
  reconstructions or 2D class averages in cryo-electron microscopy.

=== debian/tests/control ===
Test-Command: /usr/bin/relion_refine
Depends: relion
Restrictions: superficial

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/3dem/relion/tags .*/(\d[\d.]+)@ARCHIVE_EXT@
